Bug 169036 - ypbind starts too late in the boot sequence (needs to be before netfs)
ypbind starts too late in the boot sequence (needs to be before netfs)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypbind (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 09:17 EDT by Brian McEntire
Modified: 2009-02-24 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 647495 (view as bug list)
Environment:
Last Closed: 2009-02-24 18:02:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian McEntire 2005-09-22 09:17:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Red Hat/1.7.10-1.4.2

Description of problem:
The rc*.d links to /etc/init.d/ypbind are out of sequence.

For hosts that mount NFS file systems that reside on a server which is only resolvable through NIS, ypbind must start before netfs. 

The symptom is that some NFS file systems were not mounting during boot but could be mounted with no problems with 'mount -a' after the system was fully booted.

The fix is to renumber the symlinks for ypbind in /etc/rc*.d to be before netfs. On a stock RHEL4 system, the links are S27ypbind which follows S25netfs in the boot process. If ypbind links are renamed S23ypbind, all NFS file systems mount correctly at boot time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /etc/fstab has an nfs mount whose server name is only resolvable by NIS
2. boot or reboot
3.
  

Actual Results:  NFS file system does not mount during boot.

Following boot, mount -a will correctly mount the file system.

Expected Results:  All NFS file systems should mount during boot.

Additional info:

To fix this on our systems, after a clean RHEL4 install, we run:

cp /etc/init.d/ypbind /etc/init.d/ypbind.orig
chkconfig --del ypbind
sed 's/# chkconfig: - 27 73/# chkconfig: - 23 77/' /etc/init.d/ypbind.orig \
  > /etc/init.d/ypbind
chkconfig --add ypbind
chkconfig --level 345 ypbind


Ideally, S23 or S23 (or anything appropriate and before netfs) should be the RHEL default start order for ypbind so we don't have to apply this workaround after each install.
Comment 1 Chris Feist 2008-10-14 18:06:47 EDT
Is this still an issue?  It's very difficult to change service start ordering in the middle of a release.  We may need to move this to RHEL6.
Comment 2 Chris Feist 2009-02-24 18:02:36 EST
Closing as there hasn't been any update in years.

Note You need to log in before you can comment on or make changes to this bug.